cancel
Showing results for 
Search instead for 
Did you mean: 

GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

I get this message when I try to upgrade my GroupShield 7 installation to McAfee Security for Microsoft Exchange

Product: McAfee Security for Microsoft Exchange -- The installer detected the presence of McAfee® GroupShield for Exchange 7.0.0. Upgrade from this version is not supported. Please uninstall the existing version and rerun the installer.

The MSI log clearly states that I have the needed GroupSheild patches installed:

MSI (c) (BC:A4) [08:08:54:571]: PROPERTY CHANGE: Adding GSE7_PATCH_SUPPORTED property. Its value is 'PATCH1;PATCH1_R1;PATCH1_R2'.

So I don't really know why the installation fails due to wrong version of GroupSheild. So any help is greatly appreciated.

ExchangeEmailResolver.dll shows file version: 7.0.1405.0.

Exchange Server 2007 version is 8.3.83.6 and is running Mailbox and Hub Transport roles.

1 Solution

Accepted Solutions
Reliable Contributor Aidan
Reliable Contributor
Report Inappropriate Content
Message 6 of 10

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

Have a look at Mcafee Knowledge Base article KB60591

https://kc.mcafee.com/corporate/index?page=content&id=KB60591

This will tell you how to remove the inactive one - then try your upgrade.

9 Replies
metalhead
Level 12
Report Inappropriate Content
Message 2 of 10

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

What is the GSE 7 Version showing up in your local GSE console ?

For upgrading you need:

• GroupShield for Exchange version 7.0.1 Patch 1 and above

• GroupShield for Exchange version 7.0.2 Rollup2 and above

Regards Tom

Highlighted

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

The GSE 7 version should be 7.0.1 Patch1 R2, which I installed yesterday. I have also rebooted the Windows Server after patch installation and tried the MSME installation again, but with the same result.

groupshieldversion.JPG

Reliable Contributor Aidan
Reliable Contributor
Report Inappropriate Content
Message 4 of 10

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

Are there two entries for Groupshield in Add/Remove progs??

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

Aidan

Yes, there are two entries of GroupShield for Exchange. One of the give me the option to Uninstall/Change/Repari, and the other does not.

I could guess that this could be a problem. But how do I correct it?

groupshield_addremove_program.JPG

Reliable Contributor Aidan
Reliable Contributor
Report Inappropriate Content
Message 6 of 10

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

Have a look at Mcafee Knowledge Base article KB60591

https://kc.mcafee.com/corporate/index?page=content&id=KB60591

This will tell you how to remove the inactive one - then try your upgrade.

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

Thanks Aidan and Metalhead

Problem was solved by removing the faulty registry entry according to the KB60591 article Aidan linked to.

I also removed the GSE package and extensions from our ePO server.

metalhead
Level 12
Report Inappropriate Content
Message 8 of 10

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

This should be enough. Is your GSE currently ePO managed ?

The migrating the policy to SME7.6 inside epo and deinstall/reinstall the product is probably the fastest way to reolve your problem ...

Regards Tom

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

Metalhead

Yes, it's ePO managed.

I believe that we installed GSE standalone, and then imported the packages in to ePO to get reporting. So we have never deployed GSE using ePO. Right now we have the original GSE 7.0.0 version checked in to our ePO.

Maybe I can just remove this package from the Master Repository and then re install GSE on the Exchange server and then import the config again?

Re: GroupShield unsupported version when upgrading to MSMEv7.6

Jump to solution

If you have installed the GSE extension inside ePO than the GSE policy from ePO is applied to all your Exchange servers running GSE and McAfee Agent.

So you can checkin the SME 7.6 extension and migrate the policies from GSE 7.0.

There is no need to deploy GSE via ePO. After migrating your policy you deinstall GSE 7.0 and install SME 7.6. The McAfee Agent will recognize the product change and apply your previously created SME 7.6 policy.

Regards Tom

More McAfee Tools to Help You
  • Subscription Service Notification (SNS)
  • How-to: Endpoint Removal Tool
  • Support: Endpoint Security
  • eSupport: Policy Orchestrator